source("Moral_et_al_R_code.R", echo = FALSE)

### Weibull model
pdf("Moral_et_al_fig1.pdf", w = 10, h = 10)
par(mfrow=c(2,2))

plot(km.s, col=c(2,2,1,1), lty=c(1,2), xlab="log(time)", 
     ylab="S(y)", main="(a) Weibull")
legend("bottomleft", c("Stinkbug: male","Stinkbug: female","Earwig: male","Earwig: female"),
       col=c(1,1,2,2), lwd=1, lty=c(1,2,1,2), title="Species and Gender",
       bty="n", inset=.01)
curve(Sw(x, fitS.w$par, rbind(c(1,0)), rbind(c(1,0))), 
      add=T, lwd=2, col=2)
curve(Sw(x, fitS.w$par, rbind(c(1,1)), rbind(c(1,1))), 
      add=T, lwd=2, col=1)

plot(km.s2, col=c(2,2,1,1), lty=c(1,2), xlab="log(time)", 
     ylab="S(y)", main="(b) Weibull")
legend("bottomleft", c("Stinkbug: yes","Stinkbug: no","Earwig: yes","Earwig: no"),
       col=c(1,1,2,2), title="Species and consumption", lwd=1, lty=c(1,2,1,2), 
       bty="n", inset=.01)
curve(Sw(x, fit4.w$par, rbind(c(1,0,1)), rbind(c(1,0,1))), 
      add=T, lwd=2, col=2)
curve(Sw(x, fit4.w$par, rbind(c(1,0,0)), rbind(c(1,0,0))), 
      add=T, lwd=2, col=2, lty=2)
curve(Sw(x, fit4.w$par, rbind(c(1,1,1)), rbind(c(1,1,1))), 
      add=T, lwd=2, col=1)
curve(Sw(x, fit4.w$par, rbind(c(1,1,0)), rbind(c(1,1,0))), 
      add=T, lwd=2, col=1, lty=2)

plot(km.s, col=c(2,2,1,1), lty=c(1,2), xlab="log(time)", ylab="S(y)", main="(c) Exponentiated-Weibull")
legend("bottomleft", c("Stinkbug: male","Stinkbug: female","Earwig: male","Earwig: female"),
       col=c(1,1,2,2), lwd=1, lty=c(1,2,1,2), title="Species and Gender",
       bty="n", inset=.01)
curve(Sew(x, fitS.ew$par, rbind(c(1)), rbind(c(1,0))), add=T, lwd=2, col=2)
curve(Sew(x, fitS.ew$par, rbind(c(1)), rbind(c(1,1))), add=T, lwd=2, col=1)

plot(km.s2, col=c(2,2,1,1), lty=c(1,2), xlab="log(time)", ylab="S(y)", main="(d) Exponentiated-Weibull")
legend("bottomleft", c("Stinkbug: yes","Stinkbug: no","Earwig: yes","Earwig: no"),
       col=c(1,1,2,2), title="Species and consumption", lwd=1, lty=c(1,2,1,2), 
       bty="n", inset=.01)
curve(Sew(x, fit5.ew$par, rbind(c(1)), rbind(c(1,0,1))), 
      add=T, lwd=2, col=2)
curve(Sew(x, fit5.ew$par, rbind(c(1)), rbind(c(1,0,0))), 
      add=T, lwd=2, col=2, lty=2)
curve(Sew(x, fit5.ew$par, rbind(c(1)), rbind(c(1,1,1))), 
      add=T, lwd=2, col=1)
curve(Sew(x, fit5.ew$par, rbind(c(1)), rbind(c(1,1,0))), 
      add=T, lwd=2, col=1, lty=2)
dev.off()

### Exponentiated-Weibull model
pdf("Moral_et_al_fig2.pdf", w = 10, h = 5)
par(mfrow=c(1,2))

plot(hnp.w, xlab="Half-normal scores", ylab="Deviance residuals",
     main="(a) Weibull", pch=21, cex=.8, bg="#00000044")

plot(hnp.ew, xlab="Half-normal scores", ylab="Deviance residuals",
     main="(b) Exponentiated-Weibull", pch=21, cex=.8, bg="#00000044")

dev.off()